#!/bin/bash
cache_file="$HOME/.cache/toggle_animation"
if [[ $(cat $HOME/.config/hypr/conf/animation.conf) == *"disabled"* ]]; then
    echo ":: Toggle blocked by disabled.conf variation."
else
    if [ -f $cache_file ] ;then
        hyprctl keyword animations:enabled true
		notify-send 'Animations Turned On' 'This is an example notification.' --icon=dialog-information -t 1000
        rm $cache_file
    else
        hyprctl keyword animations:enabled false
		notify-send 'Animations Turned Off' 'This is an example notification.' --icon=dialog-information -t 1000
        touch $cache_file
    fi
fi
